<?php

namespace App\Http\Controllers\Account;

use App\Classes\Modules\ControllerLogic\Account\DeleteUserContactsLogic;
use App\Classes\Modules\ControllerLogic\Account\UpdateUserContactsLogic;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class UserContactsController extends Controller
{

    /**
     * @param Request $request
     *
     * @return string
     */
    public function update(Request $request): string {
        return (new UpdateUserContactsLogic($request->get('id') ?: null))->execute($request);
    }

    /**
     * @param Request $request
     *
     * @return string
     */
    public function delete(Request $request): string {
        return (new DeleteUserContactsLogic($request->get('id') ?: null))->execute($request);
    }
}
